#include "lcd3310_GPIO.h"
#include <math.h>
#include "EmonLib.h"

EnergyMonitor emon1;
String toPrint1, toPrint2;
double Irms, thePower;
char buffer1[30], buffer2[30];

void setup()
{
  Serial.begin(9600);
  emon1.current(1, 111.1);
  pinMode(8, OUTPUT);
  digitalWrite(8, LOW);
  LCDInit();
  LCDContrast (0xFF);
  LCDClear();
  LCDUpdate();
}

void loop()
{
  Irms = emon1.calcIrms(1480);
  thePower = Irms*230.0;

  toPrint1 = "Power:" + String((int)thePower) + "." + String(((unsigned int)(thePower*100))%100) + "    ";
  toPrint2 = "Current:" + String((int)Irms) + "." + String(((unsigned int)(Irms*100))%100) + "    ";
  toPrint1.toCharArray(buffer1, 30);
  toPrint2.toCharArray(buffer2, 30);
  LCDStr(0, (unsigned char *) buffer1, 0);
  LCDStr(2, (unsigned char *) buffer2, 0);
  LCDUpdate();
  delay(10);
}
